Summary:	An offline mail server with pop3 client support
Summary(pl.UTF-8):	Serwer pocztowy offline ze wsparciem dla pop3
Name:		masqmail
Version:	0.3.4
Release:	2
License:	GPL
Group:		Networking/Daemons/SMTP
Source0:	http://ftp.debian.org/debian/pool/main/m/masqmail/%{name}_%{version}.orig.tar.gz
# Source0-md5:	551bd887c71d7b8f3bb149b617adb1b3
Source1:	%{name}.aliases
Source2:	%{name}.conf
Source3:	%{name}.default.route
URL:		http://packages.debian.org/masqmail
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	glib2-devel
BuildRequires:	libident-devel
BuildRequires:	openssl-devel
Provides:	smtpdaemon
Obsoletes:	smtpdaemon
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags_ia32	 -fomit-frame-pointer
%define		_sysconfdir		/etc/mail

%description
MasqMail is a mail server designed for hosts that do not have a
permanent internet connection eg. a home network or a single host at
home. It has special support for connections to different ISPs. It
replaces sendmail or other MTAs such as qmail or exim.

%description -l pl.UTF-8
MasqMail jest serwerem pocztowym zaprojektowanym dla maszyn nie
posiadających stałego dostępu do Internetu, jak domowe sieci czy
pojedyncze komputery domowe. Wspiera połączenia z różnymi ISP.
Zastępuje sendmaila oraz inne MTA jak qmail czy exim.

%prep
%setup -q

%build
%configure \
	--%{!?debug:dis}%{?debug:en}able-debug \
	--with-confdir=%{_sysconfdir} \
	--enable-auth \
	--enable-maildir \
	--enable-ident \
	--enable-mserver \
	--with-libcrypto \
	--with-user=mail \
	--with-group=mail \
	--with-logdir=/var/log \
	--with-spooldir=/var/spool/masqmail
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_bindir},%{_prefix}/lib} \
	$RPM_BUILD_ROOT{%{_sbindir},%{_datadir}/masqmail/tpl,%{_mandir}/man{5,8}} \
	$RPM_BUILD_ROOT/var/spool/masqmail/{input,lock,popuidl}

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/aliases
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/default.route
install src/mservdetect $RPM_BUILD_ROOT%{_bindir}
install src/masqmail $RPM_BUILD_ROOT%{_sbindir}
install tpl/* $RPM_BUILD_ROOT%{_datadir}/masqmail/tpl
install man/masqmail.*.5 $RPM_BUILD_ROOT%{_mandir}/man5
install man/masqmail.8 $RPM_BUILD_ROOT%{_mandir}/man8
ln -sf ../sbin/masqmail $RPM_BUILD_ROOT%{_bindir}/mailq
ln -sf ../sbin/masqmail $RPM_BUILD_ROOT/usr/lib/sendmail
ln -sf masqmail $RPM_BUILD_ROOT%{_sbindir}/sendmail

%triggerpostun -- %{name} < 0.2.20-4.1
if [ -f /etc/masqmail/masqmail.conf.rpmsave ]; then
	cp -f  %{_sysconfdir}/masqmail.conf{,.rpmnew}
	mv -f /etc/masqmail/masqmail.conf.rpmsave %{_sysconfdir}/masqmail.conf
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO examples/example.*
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) /usr/lib/sendmail
%attr(4755,root,root) %{_sbindir}/masqmail
%attr(755,root,root) %{_sbindir}/sendmail
%dir %{_sysconfdir}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/masqmail.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/default.route
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/aliases
%dir %{_datadir}/masqmail
%dir %{_datadir}/masqmail/tpl
%{_datadir}/masqmail/tpl/*.tpl
%lang(de) %{_datadir}/masqmail/tpl/*.tpl.de
%lang(fr) %{_datadir}/masqmail/tpl/*.tpl.fr
%lang(it) %{_datadir}/masqmail/tpl/*.tpl.it
%{_mandir}/man[58]/*
%defattr(644,mail,mail,755)
%dir /var/spool/masqmail
%dir /var/spool/masqmail/input
%dir /var/spool/masqmail/lock
%dir /var/spool/masqmail/popuidl
%changelog
* Tue Oct 23 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/masqmail.git;a=log;h=master

* Tue Oct 23 2018 Jan Rękorajski <baggins@pld-linux.org> 07e342d
- release 2 (by relup.sh)

* Tue Oct 23 2018 Jan Rękorajski <baggins@pld-linux.org> 0a6963c
- remove ancient patch that only breaks build now

* Wed Sep 26 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 1ab28bd
- up to 0.3.4

* Sun Sep 23 2018 Adam Gołębiowski <adamg@pld-linux.org> 98c0a59
- add missing sys/stat.h for S_ISDIR macro

* Sun Sep 23 2018 Adam Gołębiowski <adamg@pld-linux.org> b2b5f62
- buildfix (missing include)
- release 4

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 49deb64
- release 4 (by relup.sh)

* Fri Jun 04 2010 Elan Ruusamäe <glen@pld-linux.org> f34aa05
- adapter

* Mon Apr 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 454f5e8
- release 3

* Sat Oct 25 2008 Paweł Gołaszewski <blues@pld-linux.org> cde55cc
- SMTP group

* Mon Aug 06 2007 Patryk Zawadzki <patrys@room-303.com> 54d30de
- drop mutual obsoletes
- rel up

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> aada896
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 45559dd
- converted to UTF-8

* Mon Aug 28 2006 Elan Ruusamäe <glen@pld-linux.org> a9840ac
- updated to 0.2.21 from Debian sources. Resolves CAN-2005-2662 CAN-2005-2663

* Mon Aug 28 2006 Elan Ruusamäe <glen@pld-linux.org> d5d0d74
- set default online_file to /etc/mail/online

* Sun Apr 23 2006 Elan Ruusamäe <glen@pld-linux.org> 61bd26f
- rel 5

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 638523c
- for other MTAs aliases file is caseless

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 4602c82
- working URL

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 258be86
- move configs to /etc/mail as all other MTA-s
- install quite useable configs
- include aliases file in package

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> d6abde0
- move aliases to /etc/mail dir

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 3454ec5
- somewhat usable

